| Server IP : 192.241.186.36 / Your IP : 216.73.216.199 Web Server : Apache/2.4.29 (Ubuntu) System : Linux webserver7 4.15.0-194-generic #205-Ubuntu SMP Fri Sep 16 19:49:27 UTC 2022 x86_64 User : root ( 0) PHP Version : 7.4.32 Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : ON | Pkexec : ON Directory : /usr/share/finalrd/ |
Upload File : |
#!/bin/sh
# SPDX-License-Identifier: GPL-3.0-only
set -e
if [ "$1" = "setup" ]
then
. /usr/share/initramfs-tools/hook-functions
copy_exec /bin/grep
copy_exec /bin/sleep
copy_exec /sbin/iscsiadm
copy_exec /sbin/iscsid
# hm, not sure why expr is copied
copy_exec /usr/bin/expr
copy_file config /etc/iscsi/iscsid.conf
copy_file config /etc/iscsi/initiatorname.iscsi
exit 0
fi
# re-establish connection and logout during shutdown
# if initramfs did bring up open-iscsi on boot
[ -f /open-iscsi.interface ] || exit 0
iscsid
# After restarting iscsid, wait for an active connection.
# Limit the wait time in case of unexpected failure of iscsid.
MAX_RETRIES=30
RETRY=0
while ! iscsiadm -m session -P 1 | grep -q "iSCSI Connection State: LOGGED IN"; do
RETRY=$(($RETRY + 1))
if [ $RETRY -gt $MAX_RETRIES ]; then
echo "Unexpected iSCSI Connection State, forcing iSCSI logout."
break
fi
sleep 1
done
# Issue an iSCSI logout.
iscsiadm -m node -u